# Tweener

Tweener is a simple and lightweight flutter animation tool. Anyone can easily learn to use it.

## Features

* Does one thing and one thing only: tween properties
* Very simple to use, but it can achieve a lot of effects
* Easing functions are reusable outside of Tween

## Installation

Download the [library](https://raw.githubusercontent.com/tweenjs/tween.js/master/src/Tween.js) and include it in your code:

#### You should ensure that you add the following dependency in your Flutter project.
```
dependencies:
 flutter_range_slider: "^1.3.1"
```

#### install packages from the command line:
```
flutter packages get
```

## Useage

#### import class
```
import './tweener.dart';
import './ease.dart';
```

#### use Tweener
```
Tweener({"x": 0, "y": 0})
    .to({"x": 100, "y": 500}, 2000)
    .easing(Ease.elastic.easeOut)
    .onUpdate((obj) {
        setState(() {
            _x = obj["x"];
            _y = obj["y"];
        });
    })
    .start();
```

## Thanks

Tweener refers to the implementation code of [tween.js](https://github.com/tweenjs/tween.js). They are really great. I want to pay tribute to the original author!
